Add Order
Add orders to a route
Add orders to a route
In: header
Path Parameters
Query Parameters
Route version
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orders/routes/string/add" \ -H "Content-Type: application/json" \ -d '{ "orders": [ { "order_handles": "order-101" } ] }'{ "route_handle": "route-1", "ops_group_handle": "SAN_JOSE_WH", "status": "planned", "intent": "on_time", "version": 1, "estimate": { "start_by": "2023-03-14T23:20:00Z", "distance": 1000, "duration": 600, "polyline": { "type": "LineString", "coordinates": [ [ 77.72123, 12.89617 ], [ 77.72169, 12.89595 ], [ 77.72214, 12.89572 ] ] }, "start_location": { "type": "Point", "coordinates": [ -121.8924515, 37.4124516 ] }, "end_location": { "type": "Point", "coordinates": [ -121.8984515, 37.5124516 ] } }, "orders": [ { "order_handle": "order-101", "fulfillment_attempt": 1, "status": "assigned", "ops_group_handle": "store-sjc", "worker_handle": "James", "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "created_at": "2023-03-14T23:00:00Z", "scheduled_at": "2023-03-14T23:50:00Z", "scheduled_after": "2023-03-14T23:20:00Z", "metadata": { "customerId": "1223344" }, "region": { "city": "Fremont", "state": "California", "country": "United States of America" }, "destination": { "geometry": { "type": "Point", "coordinates": [ -121.8984515, 37.5124516 ] }, "radius": 50, "address": "Mission Peak, Fremont CA 94539" }, "risk_status": false, "expected_service_time": 600, "product_type": [ "plumber" ], "type": "drop", "capacity_used": 5 }, { "order_handle": "order-100", "fulfillment_attempt": 1, "status": "assigned", "ops_group_handle": "store-sjc", "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "created_at": "2023-03-14T23:00:00Z", "scheduled_at": "2023-03-15T01:30:00Z", "scheduled_after": "2023-03-15T01:00:00Z", "metadata": { "customerId": "1224244" }, "region": { "city": "San Francisco", "state": "California", "country": "United States of America" }, "destination": { "geometry": { "type": "Point", "coordinates": [ -122.3779263, 37.7320465 ] }, "radius": 50, "address": "888 Innes Ave, San Francisco, CA 94124" }, "risk_status": false, "expected_service_time": 600, "product_type": [ "plumber" ], "type": "drop", "capacity_used": 5 }, { "order_handle": "order-102", "fulfillment_attempt": 1, "status": "assigned", "ops_group_handle": "store-sjc", "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "intent": "on_time", "created_at": "2023-03-14T23:00:00Z", "scheduled_at": "2023-03-15T02:30:00Z", "scheduled_after": "2023-03-14T03:00:00Z", "metadata": { "customerId": "1223344" }, "region": { "city": "San Francisco", "state": "California", "country": "United States of America" }, "destination": { "geometry": { "type": "Point", "coordinates": [ -122.3848312, 37.7323863 ] }, "radius": 50, "address": "1195 Hudson Ave, San Francisco, CA 94124" }, "risk_status": false, "expected_service_time": 600, "product_type": [ "plumber" ], "type": "drop", "capacity_used": 5 } ], "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "metadata": { "planId": "1223322" }, "embed_url": "https://embed.hypertrack.com/dkdkddnd"}{ "detail": {}, "message": "string"}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}Reschedule Order POST
Reschedule an order identified by the given order_handle. When an order has already been dispatched, this will automatically cancel and recreate a new order with the new scheduled timestamps in an `unplanned` state. When an order is in assigned/planned state, this will automatically remove it from the route and schedule is updated.
Remove Order POST
Remove orders from a route, response can be empty if all orders are removed